Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615802 - delay in ntpdate request
delay in ntpdate request
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-18 18:36 EDT by nucleo
Modified: 2015-10-16 08:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 03:54:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nucleo 2010-07-18 18:36:38 EDT
Description of problem:
There is a 6 seconds delay in time query with 'ntpdate -q pool.ntp.org'


Version-Release number of selected component (if applicable):
ntpdate-4.2.6p2-1.fc14.i686

How reproducible:
Every time.

Steps to Reproduce:
1. Run 'ntpdate -q pool.ntp.org'
  
Actual results:
6 seconds delay in time query.
There are sent 3 requests with 2 seconds delay:

01:28:40.281701 IP 192.168.0.128.51024 > 192.168.0.1.123: NTPv4, Client
01:28:40.281905 IP 192.168.0.1.123 > 192.168.0.128.51024: NTPv4, Server
01:28:42.281601 IP 192.168.0.128.51024 > 192.168.0.1.123: NTPv4, Client
01:28:42.281748 IP 192.168.0.1.123 > 192.168.0.128.51024: NTPv4, Server
01:28:44.281463 IP 192.168.0.128.51024 > 192.168.0.1.123: NTPv4, Client
01:28:44.281642 IP 192.168.0.1.123 > 192.168.0.128.51024: NTPv4, Server
01:28:46.281421 IP 192.168.0.128.51024 > 192.168.0.1.123: NTPv4, Client
01:28:46.281561 IP 192.168.0.1.123 > 192.168.0.128.51024: NTPv4, Server

(I used here local NTP server 192.168.0.1 but the same delay with pool.ntp.org)

Expected results:
No delay.

Additional info:
No such delay in time requests with previous version ntpdate-4.2.6p1-2.fc13.i686:

01:27:00.953983 IP 192.168.0.128.37788 > 192.168.0.1.123: NTPv4, Client
01:27:00.954199 IP 192.168.0.1.123 > 192.168.0.128.37788: NTPv4, Server
01:27:00.954381 IP 192.168.0.128.37788 > 192.168.0.1.123: NTPv4, Client
01:27:00.954467 IP 192.168.0.1.123 > 192.168.0.128.37788: NTPv4, Server
01:27:00.954575 IP 192.168.0.128.37788 > 192.168.0.1.123: NTPv4, Client
01:27:00.954654 IP 192.168.0.1.123 > 192.168.0.128.37788: NTPv4, Server
01:27:00.954779 IP 192.168.0.128.37788 > 192.168.0.1.123: NTPv4, Client
01:27:00.954861 IP 192.168.0.1.123 > 192.168.0.128.37788: NTPv4, Server
Comment 1 Miroslav Lichvar 2010-07-19 03:54:13 EDT
This was one of the changes in 4.2.6p2, see upstream bug report for more information:

https://bugs.ntp.org/show_bug.cgi?id=1504

You can reduce the delay by using a smaller number of samples (-p option).
Comment 2 nucleo 2010-07-19 07:09:03 EDT
ntpdate runs with system startup (Synchronize system clock before starting service option).
Is it normal to have 6 seconds delay in boot process?
Comment 3 Miroslav Lichvar 2010-07-19 07:35:12 EDT
Yes, if you need ntpdate to run on boot, there will be 6 second delay.

There is an additional delay with NETWORKWAIT=1, see bug #445229.

Please note that the ntpdate service is disabled by default and the latest system-config-date has the option replaced with one that adds iburst to servers specified in ntp.conf instead of enabling ntpdate service.
Comment 4 nucleo 2010-07-19 07:50:38 EDT
Is it possible to add "-p 1" option to /etc/sysconfig/ntpdate?
Comment 5 Miroslav Lichvar 2010-07-19 08:12:40 EDT
Yes, you can add it there. But I'm not sure if we should use it by default, I think it might reduce the reliability.

Note You need to log in before you can comment on or make changes to this bug.